> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search Pinterest

## Parameters

<ParamField query="query" type="string" required>
  Search query (e.g., `Italian Pot Roast`)
</ParamField>

<ParamField query="cursor" type="string">
  Cursor (e.g., `Y2JVSG81V2sxcmNHRlpWM1J...`)
</ParamField>

<ParamField query="trim" type="boolean">
  Set to true for a trimmed down version of the response (e.g., `false`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/pinterest/search?query=Italian Pot Roast" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "pins": [
      {
        "url": "https://www.pinterest.com/pin/3729612256605144/",
        "id": "3729612256605144",
        "is_promoted": false,
        "description": "Italian Pot Roast: A Hearty and Flavorful Recipe",
        "images": { "orig": { "width": 1024, "height": 1024, "url": "..." } },
        "link": "https://myauntyrecipes.com/...",
        "domain": "myauntyrecipes.com"
      }
      // ... more pins
    ]
  },
  "meta": {
    "platform": "pinterest",
    "endpoint": "search",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
